﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Windows.Input;
using Syncfusion.SfCalendar.XForms;
using Xamarin.Forms;

namespace issueTesting
{
	public class ViewModel : INotifyPropertyChanged
	{
		private CalendarEventCollection events = new CalendarEventCollection();

		public CalendarEventCollection Events
		{
			get
			{
				return events;
			}

			set
			{
				events = value;
				OnPropertyChanged("Events");

			}
		}


        private bool _isLoading;
        public bool isLoading { get { return _isLoading; } set { _isLoading = value; OnPropertyChanged("isLoading"); } }

        private DateTime _selectedItem;
        public DateTime selectedItem { get { return _selectedItem; } set { _selectedItem = value; OnPropertyChanged("selectedItem"); } }

		private void OnCollectionChanged(object sender, NotifyCollectionChangedEventArgs e)
		{
			// you could examine e to check if there is an actual change in the count first
			OnPropertyChanged("Events");
		}

		public ViewModel()
		{
			Events.CollectionChanged += OnCollectionChanged;
		}

		public event PropertyChangedEventHandler PropertyChanged;

		protected void OnPropertyChanged(String PropertyName)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(PropertyName));
			}
				
		}
	}
}